/**
 * 
 */
package eu.dnetlib.ariadneplus;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.junit.runners.JUnit4;
import org.springframework.beans.factory.annotation.Autowired;

import eu.dnetlib.ariadneplus.elasticsearch.BulkUpload;
import eu.dnetlib.ariadneplus.reader.ResourceManager;
import eu.dnetlib.ariadneplus.reader.RunSPARQLQueryService;
import eu.dnetlib.ariadneplus.reader.json.ParseRDFJSON;

/**
 * @author enrico.ottonello
 *
 */
@RunWith(JUnit4.class)
public class GraphDbReaderTest {
	@Autowired
    private RunSPARQLQueryService runSPQRLQuery;
    @Autowired
    private ParseRDFJSON parser;
    @Autowired
    private ResourceManager resourceManager;
    @Autowired
    private BulkUpload bulkUpload;

    @Test
    public void readTest() throws Exception {

    	runSPQRLQuery.setParser(parser);
    	runSPQRLQuery.setResourceManager(resourceManager);
    	runSPQRLQuery.setBulkUpload(bulkUpload);
    	runSPQRLQuery.executeQueryGraph();

    }
}
